#! /bin/csh

rm plot_plumes_corr.ps

gmtset HEADER_FONT_SIZE 25 OBLIQUE_ANOTATION 0 DEGREE_FORMAT 0 LABEL_FONT Times-Roman
gmtset LABEL_FONT_SIZE 20pt OBLIQUE_ANOTATION 0 DEGREE_FORMAT 0 LABEL_FONT Times-Roman

pscoast -R-180/180/-90/90 -JR-135/3.6 -G200 -B30g30ew -W2 -A20000 -X1.5 -Y4.8 -K >! plot_plumes_corr.ps
psxy hotspot1.dat -JR -R -G255/0/0 -W3/0/0/0  -L -Sc0.12 -P -K -O >>plot_plumes_corr.ps
pstext -R -JR -N -P -O -K << END >> plot_plumes_corr.ps
-136 115 24 0.000000 4 2 hotspots
END

psxy topo_400_670.corr -JX2.4/2.4 -R-15/15/-15/15 -Ba10f5:"400 topo (km)":/a10f5:"670 topo (km)":WS -W4/0/0/0 -G0/230/0 -St0.12 -X5 -K -O >> plot_plumes_corr.ps
psxy line.dat -JX -R -W4/0/0/0 -K -O >> plot_plumes_corr.ps
pstext -R -JX -N -P -O -K << END >> plot_plumes_corr.ps
-2 12.5 18 0.000000 4 2 Corr. Coef.=0.44
END

pscoast -R-180/180/-90/90 -JR-135/3.6 -G200 -B30g30ew -W2 -A20000 -P -X-5.0 -Y-3.6 -K -O  >> plot_plumes_corr.ps
psxy avgcaps_topo_400.pos -JR -R -G0/0/255 -W3/0/0/0  -L -St -P -K -O >>plot_plumes_corr.ps
psxy avgcaps_topo_400.neg -JR -R -G255/0/0 -W3/0/0/0  -L -St -P -K -O >>plot_plumes_corr.ps
psxy symbol1.dat -JR -R -N -G255/0/0 -W3/0/0/0  -L -St0.2 -P -K -O >>plot_plumes_corr.ps
psxy symbol2.dat -JR -R -N -G0/0/255 -W3/0/0/0  -L -St0.2 -P -K -O >>plot_plumes_corr.ps
pstext -R -JR -N -P -O -K << END >> plot_plumes_corr.ps
-136 115 24 0.000000 4 2 400 Topo
END
pstext -R -JR -N -P -O -K << END >> plot_plumes_corr.ps
120 -125 18 0.000000 4 2 -6 km
END
pstext -R -JR -N -P -O -K << END >> plot_plumes_corr.ps
-20 -125 18 0.000000 4 2 +6 km
END

pscoast -R -JR -G200 -B30g30ew -W2 -A20000 -P -X4.2 -K -O >> plot_plumes_corr.ps
psxy avgcaps_topo_670.neg -JR -R -G255/0/0 -W3/0/0/0  -L -St -P -K -O >>plot_plumes_corr.ps
psxy avgcaps_topo_670.pos -JR -R -G0/0/255 -W3/0/0/0  -L -St -P -K -O >>plot_plumes_corr.ps
psxy symbol1.dat -JR -R -N -G255/0/0 -W3/0/0/0  -L -St0.2 -P -K -O >>plot_plumes_corr.ps
psxy symbol2.dat -JR -R -N -G0/0/255 -W3/0/0/0  -L -St0.2 -P -K -O >>plot_plumes_corr.ps
pstext -R -JR -N -P -O -K << END >> plot_plumes_corr.ps
-136 115 24 0.000000 4 2 670 Topo
END
pstext -R -JR -N -P -O -K << END >> plot_plumes_corr.ps
120 -125 18 0.000000 4 2 -10 km
END
pstext -R -JR -N -P -O -K << END >> plot_plumes_corr.ps
-20 -125 18 0.000000 4 2 +10 km
END
 
pstext -R0/8.5/0/11 -G220/100/0 -JX8.5/11 -N -P -O << END >> plot_plumes_corr.ps
-3.4 6.5 30 0.000000 4 2 correlation near hotspots
END

pageview  plot_plumes_corr.ps

