	program read_shearer
c  this program will read the SS precursor data
c  from Flanagan and Shearer, 1998.
	implicit real*4 (a-h, o-z)
	character*7 ctemp
	character*128 infile, outfile
	print*, 'enter the data file from Flanagan and Shearer:'
	read(*,"(a)") infile
	open(1, file=infile, iostat=ios)
	if(ios.ne.0) stop 'Check input file!!'
	print*, 'enter format (1=raw table;  2=corrected table)'
	read(*,*) iformat
5	print*, 'output:'
	print*, '1. lat lon numdata'
	print*, '2. lat lon t410'
	print*, '3. lat lon t410_std'
	print*, '4. lat lon t520'
	print*, '5. lat lon t520_std'
	print*, '6. lat lon t660'
	print*, '7. lat lon t660_std'
	print*, '8. lat lon 410_dep'
	print*, '9. lat lon 410_dep_std'
	print*, '10. lat lon 520_dep'
	print*, '11. lat lon 520_dep_std'
	print*, '12. lat lon 660_dep'
	print*, '13. lat lon 660_dep_std'
	print*, '14. lat lon TZ_thickness'
	print*, '15. lat lon TZ_thickness_std'
	if(iformat.eq.2) then
		print*, '16. lat lon Crust_corr'
		print*, '17. lat lon 410_mantle_corr'
		print*, '18. lat lon 520_mantle_corr'
		print*, '19. lat lon 660_mantle_corr'
	endif
	print*, 'enter:'
	read(*,*) iopt
	if(iopt.le.0.or.iopt.gt.19) goto 5
	if(iopt.gt.15.and.iformat.eq.1) goto 5
	print*, 'number of seismogram cutoff (nlow, high):'
	read(*, *) nlow, nhigh
	print*, 'output file name:'
	read(*, "(a)") outfile
	open(2, file=outfile, type='fresh')
	read(1, *) ctemp
	read(1, *) ctemp
	read(1, *) ctemp
	ndata=1
	if(iformat.eq.1) goto 15
10	read(1, 30, end=20) number,xlat,xlon,nseis,t410,t410_std,t520,t520_std,
     +	 t660,t660_std,d410,d410_std,d520,d520_std,d660,d660_std, tz,tz_std
     +   crustcor, m410cor, m520cor,m660cor
	write(*, 30) number,xlat,xlon,nseis,t410,t410_std,t520,t520_std,
     +	 t660,t660_std,d410,d410_std,d520,d520_std,d660,d660_std, tz,tz_std
     +   crustcor, m410cor, m520cor,m660cor
	goto 18
15	read(1, 40, end=20)number,xlat,xlon,nseis,t410,t410_std,t520,t520_std,
     +	 t660,t660_std,d410,d410_std,d520,d520_std,d660,d660_std, tz,tz_std
	write(*, 40) number,xlat,xlon,nseis,t410,t410_std,t520,t520_std,
     +	 t660,t660_std,d410,d410_std,d520,d520_std,d660,d660_std, tz,tz_std
18	if(xlon.gt.180.0) xlon=xlon-360.
	if(iopt.eq.1) write(2, "(f10.3, f10.3, i10)") xlat,xlon, nseis
	if(nseis.ge.nlow.and.nseis.le.nhigh) then
		if(iopt.eq.2) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, t410
		if(iopt.eq.3) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, t410_std
		if(iopt.eq.4) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, t520
		if(iopt.eq.5) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, t520_std
		if(iopt.eq.6) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, t660
		if(iopt.eq.7) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, t660_std
		if(iopt.eq.8) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, d410
		if(iopt.eq.9) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, d410_std
		if(iopt.eq.10) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, d520
		if(iopt.eq.11) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, d520_std
		if(iopt.eq.12) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, d660
		write(*, "(f10.3, f10.3, f10.3)") xlat,xlon, d660
		if(iopt.eq.13) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, d660_std
		if(iopt.eq.14) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, tz
		if(iopt.eq.15) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, tz_std
		if(iopt.eq.16) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, crustcor
		if(iopt.eq.17) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, m410cor
		if(iopt.eq.18) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, m520cor
		if(iopt.eq.19) write(2, "(f10.3, f10.3, f10.3)") xlat,xlon, m660cor
		ndata=ndata+1
	endif
	if(iformat.eq.1) then
		goto 15
	else 
		goto 10
	endif
20      ndata=ndata-1
	print*, 'total number of data =', ndata
30	format(i3, f6.1, f7.1, i5, f8.2, f6.2, f8.2, f6.2, f8.2, f6.2,
     +		f11.2,f6.2,f8.2,f6.2,f8.2,f6.2,f8.2,f6.2,f7.2,f6.2,
     +          f6.2, f6.2)
40	format(i3, f6.1, f7.1, i5, f8.2, f6.2, f8.2, f6.2, f8.2, f6.2,
     +		f11.2,f6.2,f8.2,f6.2,f8.2,f6.2,f8.2,f6.2)
	close(1)
	close(2)
	stop
	end
